﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridDelKey
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.AllowAddNew = AllowAddNew.No;
            e.Layout.Override.AllowUpdate = Infragistics.Win.DefaultableBoolean.True;
            e.Layout.Override.AllowDelete = Infragistics.Win.DefaultableBoolean.False;
            e.Layout.Override.SelectTypeCol = SelectType.None;
            e.Layout.Override.SelectTypeRow = SelectType.None;
            e.Layout.Override.SelectTypeCell = SelectType.None;
            e.Layout.Override.CellClickAction = CellClickAction.EditAndSelectText;
            e.Layout.Override.HeaderClickAction = HeaderClickAction.Select;

            e.Layout.Bands[1].Override.CellMultiLine = DefaultableBoolean.True;
            e.Layout.Bands[1].Override.SelectTypeCell = SelectType.Extended;
        }

        private void ultraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Delete)
            {
                Console.WriteLine("delete key pressed");
                // delete the active cell's value
                /*if (this.ultraGrid1.ActiveCell != null)
                {
                     this.ultraGrid1.ActiveCell.Value = "";
                }*/
            }
        }

        private void ultraGrid1_BeforeCellUpdate(object sender, BeforeCellUpdateEventArgs e)
        {
            Console.WriteLine("Before cell update fired");
        }

        private void ultraGrid1_AfterCellUpdate(object sender, CellEventArgs e)
        {
            Console.WriteLine("After cell update fired");
        }

        private void ultraGrid1_KeyPress(object sender, KeyPressEventArgs e)
        {
            Console.WriteLine("key press event");
        }
    }
}
